# Visualization
TKV3d
Graphic3d

# Graphic3d_VertexC Class Reference

This class allows the creation and update of a point
with a colour value.
//! Returns the color of this point.
.

`#include <Graphic3d_VertexC.hxx>`

Inheritance diagram for Graphic3d_VertexC:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic3d_VertexC ()
| Constructs an empty point .
Standard_EXPORT | Graphic3d_VertexC (const Standard_Real AX, const Standard_Real AY, const Standard_Real AZ, const Quantity_Color &AColor)
| Creates a point with coordinates <ax>, <ay>, <az> and with colour <acolor>. .
Standard_EXPORT | Graphic3d_VertexC (const Graphic3d_Vertex &APoint, const Quantity_Color &AColor)
| Creates a point situated in <apoint> and for which the colour is <acolor>. .
Standard_EXPORT void | SetColor (const Quantity_Color &ColorNew)
| Modifies the colour of the point <me>. .
Standard_EXPORT Quantity_Color | Color () const
| Returns the colour of the point <me>. .

## Private Attributes

Quantity_Color | MyColor

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_VertexC::Graphic3d_VertexC | ( |  | ) |

Standard_EXPORT Graphic3d_VertexC::Graphic3d_VertexC | ( | const Standard_Real | AX,
|  | const Standard_Real | AY,
|  | const Standard_Real | AZ,
|  | const Quantity_Color & | AColor
| ) |

Standard_EXPORT Graphic3d_VertexC::Graphic3d_VertexC | ( | const Graphic3d_Vertex & | APoint,
|  | const Quantity_Color & | AColor
| ) |

## Member Function Documentation

Standard_EXPORT Quantity_Color Graphic3d_VertexC::Color | ( |  | ) | const

void Graphic3d_VertexC::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Graphic3d_Vertex.

void* Graphic3d_VertexC::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Graphic3d_Vertex.

void* Graphic3d_VertexC::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Graphic3d_Vertex.

Standard_EXPORT void Graphic3d_VertexC::SetColor | ( | const Quantity_Color & | ColorNew | ) |

## Field Documentation

Quantity_Color Graphic3d_VertexC::MyColor `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_VertexC.hxx